Bug 188527 - Review Request: perl-Module-Load-Conditional
Review Request: perl-Module-Load-Conditional
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On: 188505 188519 188523
Blocks: FE-ACCEPT 189042 189043 189048
  Show dependency treegraph
 
Reported: 2006-04-10 17:16 EDT by Steven Pritchard
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-19 10:49:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven Pritchard 2006-04-10 17:16:11 EDT
Spec URL: http://ftp.kspei.com/pub/steve/rpms/perl-Module-Load-Conditional/perl-Module-Load-Conditional.spec
SRPM URL: http://ftp.kspei.com/pub/steve/rpms/perl-Module-Load-Conditional-0.08-1.src.rpm
Description:
Module::Load::Conditional provides simple ways to query and possibly load
any of the modules you have installed on your system during runtime.
Comment 1 Jason Tibbitts 2006-04-11 22:59:59 EDT
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written, uses macros consistently and
conforms to the Perl template.
* license field matches the actual license.
* license is open source-compatible.  It's not included separately in the
package, but this is not necessary as the upstream tarball does not include it.
* source files match upstream:
   9e2a706b6511651ca4eb6de0c4c89a12  Module-Load-Conditional-0.08.tar.gz
   9e2a706b6511651ca4eb6de0c4c89a12  Module-Load-Conditional-0.08.tar.gz-srpm
* BuildRequires are proper.
* package builds in mock.
* rpmlint is silent.
* final provides and requires are sane.
* no shared libraries are present.
* package is not relocatable.
* owns the directory it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is present and all tests pass.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

APPROVED
Comment 2 Steven Pritchard 2006-04-19 10:49:34 EDT
Imported into CVS and packages built.

Note You need to log in before you can comment on or make changes to this bug.